Subject: Re: bug#21738: 25.0.50; eww freezes/crashes at times

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Oct 2015 08:22:28 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Fri, 23 Oct 2015 17:16:23 -0400
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> I updated and rebuilt (without imagemagick).
> I still get the same problem if I load eww in a 2-window frame, with fci loaded.
> eww loads that webpage fine after I do C-x 1.
> 
> Backtrace after C-g and debug-on-quit set to t:
> 
> window-end(#<window 3 on *Backtrace*> updated)
>   #[(w) "\301 !\302 \303\"B\207" [w window-start window-end updated]
> 4](#<window 3 on *Backtrace*>)
>   mapcar(#[(w) "\301 !\302 \303\"B\207" [w window-start window-end
> updated] 4] (#<window 3 on *Backtrace*>))
>   fci-delete-unneeded()
>   fci-redraw-frame()
>   set-window-buffer(nil #<buffer  *temp*-411462>)
>   shr-render-td-1((td ((class . "Body") (shr-td-cache-natural . 222)
> (shr-td-cache-10-nil 217 222 1 (#("Yank." 0 1 (face variable-pitch
> shr-indentation nil) 1 5 (face variable-pitch))) 1 nil nil)) "\n
> Yank.\n    ") 268 t)
>   shr-render-td((td ((class . "Body") (shr-td-cache-natural . 222)
> (shr-td-cache-10-nil 217 222 1 (#("Yank." 0 1 (face variable-pitch
> shr-indentation nil) 1 5 (face variable-pitch))) 1 nil nil)) "\n
> Yank.\n    ") 268 t)

Thanks.  Please make a separate bug report about this, it's an
unrelated issue.